#ifndef WESTHITBOX_H
#define WESTHITBOX_H

#include <QObject>
#include <QGraphicsPixmapItem>

class westHitbox : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
public:
    explicit westHitbox(QPixmap);
    virtual ~westHitbox();

public slots:
    void newPos(qreal x,qreal y);

signals:
    void movedHB(westHitbox *);

private:
    qreal m_x;
    qreal m_y;
};

#endif // WESTHITBOX_H
